package com.futu.goose.course.controller;

import afu.org.checkerframework.checker.igj.qual.I;
import com.futu.goose.course.pojo.Course;
import com.futu.goose.course.service.CourseService;
import com.futu.goose.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/course")
public class CourseController {
    @Autowired
    private CourseService courseService;
    @RequestMapping("/listcourse")
    public Result listcourse() {
      List<Course> courseList= courseService.listcourse();
        return new Result(true, "查询成功", courseList);
    }
    @RequestMapping("selectes")
    public Result selectes(@RequestParam("title") String title) {
        return courseService.selectes(title);
    }
}
