package com.futu.goose.user.controller;

import com.futu.goose.user.pojo.TUser;
import com.futu.goose.user.service.TUserService;
import com.futu.goose.utils.ResponseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("user")
public class UserController {
    @Autowired
    private TUserService tUserService;
    /**
     * 登录
     * @param user
     * @return
     */
    @RequestMapping("login")
    public ResponseResult login(@RequestBody TUser user){
        return tUserService.login(user);
    }
    @RequestMapping("phonelogin")
    public ResponseResult phonelogin(@RequestBody TUser user){
        return tUserService.phonelogin(user);
    }
    @PostMapping("/regist")
    public ResponseResult regist(@RequestBody TUser user){
        return tUserService.regist(user);
    }
}
